Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.128.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
1.128.0.0
Broadcast address
1.143.255.255
First usable
1.128.0.1
Last usable
1.143.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 01800000 · Integer 25165824 to 26214399
Reverse DNS zones
128.1.in-addr.arpa
129.1.in-addr.arpa
130.1.in-addr.arpa
131.1.in-addr.arpa
132.1.in-addr.arpa
133.1.in-addr.arpa
134.1.in-addr.arpa
135.1.in-addr.arpa
136.1.in-addr.arpa
137.1.in-addr.arpa
138.1.in-addr.arpa
139.1.in-addr.arpa
140.1.in-addr.arpa
141.1.in-addr.arpa
142.1.in-addr.arpa
143.1.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001.10000000.00000000.000000001.128.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00000001.10000000.00000000.000000001.128.0.0
Broadcast00000001.10001111.11111111.111111111.143.255.255
Split into smaller subnets/21

1.128.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.128.0.0/211.128.0.1 to 1.128.7.2541.128.7.2552,046
21.128.8.0/211.128.8.1 to 1.128.15.2541.128.15.2552,046
31.128.16.0/211.128.16.1 to 1.128.23.2541.128.23.2552,046
41.128.24.0/211.128.24.1 to 1.128.31.2541.128.31.2552,046
51.128.32.0/211.128.32.1 to 1.128.39.2541.128.39.2552,046
61.128.40.0/211.128.40.1 to 1.128.47.2541.128.47.2552,046
71.128.48.0/211.128.48.1 to 1.128.55.2541.128.55.2552,046
81.128.56.0/211.128.56.1 to 1.128.63.2541.128.63.2552,046
91.128.64.0/211.128.64.1 to 1.128.71.2541.128.71.2552,046
101.128.72.0/211.128.72.1 to 1.128.79.2541.128.79.2552,046
111.128.80.0/211.128.80.1 to 1.128.87.2541.128.87.2552,046
121.128.88.0/211.128.88.1 to 1.128.95.2541.128.95.2552,046
131.128.96.0/211.128.96.1 to 1.128.103.2541.128.103.2552,046
141.128.104.0/211.128.104.1 to 1.128.111.2541.128.111.2552,046
151.128.112.0/211.128.112.1 to 1.128.119.2541.128.119.2552,046
161.128.120.0/211.128.120.1 to 1.128.127.2541.128.127.2552,046
171.128.128.0/211.128.128.1 to 1.128.135.2541.128.135.2552,046
181.128.136.0/211.128.136.1 to 1.128.143.2541.128.143.2552,046
191.128.144.0/211.128.144.1 to 1.128.151.2541.128.151.2552,046
201.128.152.0/211.128.152.1 to 1.128.159.2541.128.159.2552,046
211.128.160.0/211.128.160.1 to 1.128.167.2541.128.167.2552,046
221.128.168.0/211.128.168.1 to 1.128.175.2541.128.175.2552,046
231.128.176.0/211.128.176.1 to 1.128.183.2541.128.183.2552,046
241.128.184.0/211.128.184.1 to 1.128.191.2541.128.191.2552,046
251.128.192.0/211.128.192.1 to 1.128.199.2541.128.199.2552,046
261.128.200.0/211.128.200.1 to 1.128.207.2541.128.207.2552,046
271.128.208.0/211.128.208.1 to 1.128.215.2541.128.215.2552,046
281.128.216.0/211.128.216.1 to 1.128.223.2541.128.223.2552,046
291.128.224.0/211.128.224.1 to 1.128.231.2541.128.231.2552,046
301.128.232.0/211.128.232.1 to 1.128.239.2541.128.239.2552,046
311.128.240.0/211.128.240.1 to 1.128.247.2541.128.247.2552,046
321.128.248.0/211.128.248.1 to 1.128.255.2541.128.255.2552,046
331.129.0.0/211.129.0.1 to 1.129.7.2541.129.7.2552,046
341.129.8.0/211.129.8.1 to 1.129.15.2541.129.15.2552,046
351.129.16.0/211.129.16.1 to 1.129.23.2541.129.23.2552,046
361.129.24.0/211.129.24.1 to 1.129.31.2541.129.31.2552,046
371.129.32.0/211.129.32.1 to 1.129.39.2541.129.39.2552,046
381.129.40.0/211.129.40.1 to 1.129.47.2541.129.47.2552,046
391.129.48.0/211.129.48.1 to 1.129.55.2541.129.55.2552,046
401.129.56.0/211.129.56.1 to 1.129.63.2541.129.63.2552,046
411.129.64.0/211.129.64.1 to 1.129.71.2541.129.71.2552,046
421.129.72.0/211.129.72.1 to 1.129.79.2541.129.79.2552,046
431.129.80.0/211.129.80.1 to 1.129.87.2541.129.87.2552,046
441.129.88.0/211.129.88.1 to 1.129.95.2541.129.95.2552,046
451.129.96.0/211.129.96.1 to 1.129.103.2541.129.103.2552,046
461.129.104.0/211.129.104.1 to 1.129.111.2541.129.111.2552,046
471.129.112.0/211.129.112.1 to 1.129.119.2541.129.119.2552,046
481.129.120.0/211.129.120.1 to 1.129.127.2541.129.127.2552,046
491.129.128.0/211.129.128.1 to 1.129.135.2541.129.135.2552,046
501.129.136.0/211.129.136.1 to 1.129.143.2541.129.143.2552,046
511.129.144.0/211.129.144.1 to 1.129.151.2541.129.151.2552,046
521.129.152.0/211.129.152.1 to 1.129.159.2541.129.159.2552,046
531.129.160.0/211.129.160.1 to 1.129.167.2541.129.167.2552,046
541.129.168.0/211.129.168.1 to 1.129.175.2541.129.175.2552,046
551.129.176.0/211.129.176.1 to 1.129.183.2541.129.183.2552,046
561.129.184.0/211.129.184.1 to 1.129.191.2541.129.191.2552,046
571.129.192.0/211.129.192.1 to 1.129.199.2541.129.199.2552,046
581.129.200.0/211.129.200.1 to 1.129.207.2541.129.207.2552,046
591.129.208.0/211.129.208.1 to 1.129.215.2541.129.215.2552,046
601.129.216.0/211.129.216.1 to 1.129.223.2541.129.223.2552,046
611.129.224.0/211.129.224.1 to 1.129.231.2541.129.231.2552,046
621.129.232.0/211.129.232.1 to 1.129.239.2541.129.239.2552,046
631.129.240.0/211.129.240.1 to 1.129.247.2541.129.247.2552,046
641.129.248.0/211.129.248.1 to 1.129.255.2541.129.255.2552,046
651.130.0.0/211.130.0.1 to 1.130.7.2541.130.7.2552,046
661.130.8.0/211.130.8.1 to 1.130.15.2541.130.15.2552,046
671.130.16.0/211.130.16.1 to 1.130.23.2541.130.23.2552,046
681.130.24.0/211.130.24.1 to 1.130.31.2541.130.31.2552,046
691.130.32.0/211.130.32.1 to 1.130.39.2541.130.39.2552,046
701.130.40.0/211.130.40.1 to 1.130.47.2541.130.47.2552,046
711.130.48.0/211.130.48.1 to 1.130.55.2541.130.55.2552,046
721.130.56.0/211.130.56.1 to 1.130.63.2541.130.63.2552,046
731.130.64.0/211.130.64.1 to 1.130.71.2541.130.71.2552,046
741.130.72.0/211.130.72.1 to 1.130.79.2541.130.79.2552,046
751.130.80.0/211.130.80.1 to 1.130.87.2541.130.87.2552,046
761.130.88.0/211.130.88.1 to 1.130.95.2541.130.95.2552,046
771.130.96.0/211.130.96.1 to 1.130.103.2541.130.103.2552,046
781.130.104.0/211.130.104.1 to 1.130.111.2541.130.111.2552,046
791.130.112.0/211.130.112.1 to 1.130.119.2541.130.119.2552,046
801.130.120.0/211.130.120.1 to 1.130.127.2541.130.127.2552,046
811.130.128.0/211.130.128.1 to 1.130.135.2541.130.135.2552,046
821.130.136.0/211.130.136.1 to 1.130.143.2541.130.143.2552,046
831.130.144.0/211.130.144.1 to 1.130.151.2541.130.151.2552,046
841.130.152.0/211.130.152.1 to 1.130.159.2541.130.159.2552,046
851.130.160.0/211.130.160.1 to 1.130.167.2541.130.167.2552,046
861.130.168.0/211.130.168.1 to 1.130.175.2541.130.175.2552,046
871.130.176.0/211.130.176.1 to 1.130.183.2541.130.183.2552,046
881.130.184.0/211.130.184.1 to 1.130.191.2541.130.191.2552,046
891.130.192.0/211.130.192.1 to 1.130.199.2541.130.199.2552,046
901.130.200.0/211.130.200.1 to 1.130.207.2541.130.207.2552,046
911.130.208.0/211.130.208.1 to 1.130.215.2541.130.215.2552,046
921.130.216.0/211.130.216.1 to 1.130.223.2541.130.223.2552,046
931.130.224.0/211.130.224.1 to 1.130.231.2541.130.231.2552,046
941.130.232.0/211.130.232.1 to 1.130.239.2541.130.239.2552,046
951.130.240.0/211.130.240.1 to 1.130.247.2541.130.247.2552,046
961.130.248.0/211.130.248.1 to 1.130.255.2541.130.255.2552,046
971.131.0.0/211.131.0.1 to 1.131.7.2541.131.7.2552,046
981.131.8.0/211.131.8.1 to 1.131.15.2541.131.15.2552,046
991.131.16.0/211.131.16.1 to 1.131.23.2541.131.23.2552,046
1001.131.24.0/211.131.24.1 to 1.131.31.2541.131.31.2552,046
1011.131.32.0/211.131.32.1 to 1.131.39.2541.131.39.2552,046
1021.131.40.0/211.131.40.1 to 1.131.47.2541.131.47.2552,046
1031.131.48.0/211.131.48.1 to 1.131.55.2541.131.55.2552,046
1041.131.56.0/211.131.56.1 to 1.131.63.2541.131.63.2552,046
1051.131.64.0/211.131.64.1 to 1.131.71.2541.131.71.2552,046
1061.131.72.0/211.131.72.1 to 1.131.79.2541.131.79.2552,046
1071.131.80.0/211.131.80.1 to 1.131.87.2541.131.87.2552,046
1081.131.88.0/211.131.88.1 to 1.131.95.2541.131.95.2552,046
1091.131.96.0/211.131.96.1 to 1.131.103.2541.131.103.2552,046
1101.131.104.0/211.131.104.1 to 1.131.111.2541.131.111.2552,046
1111.131.112.0/211.131.112.1 to 1.131.119.2541.131.119.2552,046
1121.131.120.0/211.131.120.1 to 1.131.127.2541.131.127.2552,046
1131.131.128.0/211.131.128.1 to 1.131.135.2541.131.135.2552,046
1141.131.136.0/211.131.136.1 to 1.131.143.2541.131.143.2552,046
1151.131.144.0/211.131.144.1 to 1.131.151.2541.131.151.2552,046
1161.131.152.0/211.131.152.1 to 1.131.159.2541.131.159.2552,046
1171.131.160.0/211.131.160.1 to 1.131.167.2541.131.167.2552,046
1181.131.168.0/211.131.168.1 to 1.131.175.2541.131.175.2552,046
1191.131.176.0/211.131.176.1 to 1.131.183.2541.131.183.2552,046
1201.131.184.0/211.131.184.1 to 1.131.191.2541.131.191.2552,046
1211.131.192.0/211.131.192.1 to 1.131.199.2541.131.199.2552,046
1221.131.200.0/211.131.200.1 to 1.131.207.2541.131.207.2552,046
1231.131.208.0/211.131.208.1 to 1.131.215.2541.131.215.2552,046
1241.131.216.0/211.131.216.1 to 1.131.223.2541.131.223.2552,046
1251.131.224.0/211.131.224.1 to 1.131.231.2541.131.231.2552,046
1261.131.232.0/211.131.232.1 to 1.131.239.2541.131.239.2552,046
1271.131.240.0/211.131.240.1 to 1.131.247.2541.131.247.2552,046
1281.131.248.0/211.131.248.1 to 1.131.255.2541.131.255.2552,046
1291.132.0.0/211.132.0.1 to 1.132.7.2541.132.7.2552,046
1301.132.8.0/211.132.8.1 to 1.132.15.2541.132.15.2552,046
1311.132.16.0/211.132.16.1 to 1.132.23.2541.132.23.2552,046
1321.132.24.0/211.132.24.1 to 1.132.31.2541.132.31.2552,046
1331.132.32.0/211.132.32.1 to 1.132.39.2541.132.39.2552,046
1341.132.40.0/211.132.40.1 to 1.132.47.2541.132.47.2552,046
1351.132.48.0/211.132.48.1 to 1.132.55.2541.132.55.2552,046
1361.132.56.0/211.132.56.1 to 1.132.63.2541.132.63.2552,046
1371.132.64.0/211.132.64.1 to 1.132.71.2541.132.71.2552,046
1381.132.72.0/211.132.72.1 to 1.132.79.2541.132.79.2552,046
1391.132.80.0/211.132.80.1 to 1.132.87.2541.132.87.2552,046
1401.132.88.0/211.132.88.1 to 1.132.95.2541.132.95.2552,046
1411.132.96.0/211.132.96.1 to 1.132.103.2541.132.103.2552,046
1421.132.104.0/211.132.104.1 to 1.132.111.2541.132.111.2552,046
1431.132.112.0/211.132.112.1 to 1.132.119.2541.132.119.2552,046
1441.132.120.0/211.132.120.1 to 1.132.127.2541.132.127.2552,046
1451.132.128.0/211.132.128.1 to 1.132.135.2541.132.135.2552,046
1461.132.136.0/211.132.136.1 to 1.132.143.2541.132.143.2552,046
1471.132.144.0/211.132.144.1 to 1.132.151.2541.132.151.2552,046
1481.132.152.0/211.132.152.1 to 1.132.159.2541.132.159.2552,046
1491.132.160.0/211.132.160.1 to 1.132.167.2541.132.167.2552,046
1501.132.168.0/211.132.168.1 to 1.132.175.2541.132.175.2552,046
1511.132.176.0/211.132.176.1 to 1.132.183.2541.132.183.2552,046
1521.132.184.0/211.132.184.1 to 1.132.191.2541.132.191.2552,046
1531.132.192.0/211.132.192.1 to 1.132.199.2541.132.199.2552,046
1541.132.200.0/211.132.200.1 to 1.132.207.2541.132.207.2552,046
1551.132.208.0/211.132.208.1 to 1.132.215.2541.132.215.2552,046
1561.132.216.0/211.132.216.1 to 1.132.223.2541.132.223.2552,046
1571.132.224.0/211.132.224.1 to 1.132.231.2541.132.231.2552,046
1581.132.232.0/211.132.232.1 to 1.132.239.2541.132.239.2552,046
1591.132.240.0/211.132.240.1 to 1.132.247.2541.132.247.2552,046
1601.132.248.0/211.132.248.1 to 1.132.255.2541.132.255.2552,046
1611.133.0.0/211.133.0.1 to 1.133.7.2541.133.7.2552,046
1621.133.8.0/211.133.8.1 to 1.133.15.2541.133.15.2552,046
1631.133.16.0/211.133.16.1 to 1.133.23.2541.133.23.2552,046
1641.133.24.0/211.133.24.1 to 1.133.31.2541.133.31.2552,046
1651.133.32.0/211.133.32.1 to 1.133.39.2541.133.39.2552,046
1661.133.40.0/211.133.40.1 to 1.133.47.2541.133.47.2552,046
1671.133.48.0/211.133.48.1 to 1.133.55.2541.133.55.2552,046
1681.133.56.0/211.133.56.1 to 1.133.63.2541.133.63.2552,046
1691.133.64.0/211.133.64.1 to 1.133.71.2541.133.71.2552,046
1701.133.72.0/211.133.72.1 to 1.133.79.2541.133.79.2552,046
1711.133.80.0/211.133.80.1 to 1.133.87.2541.133.87.2552,046
1721.133.88.0/211.133.88.1 to 1.133.95.2541.133.95.2552,046
1731.133.96.0/211.133.96.1 to 1.133.103.2541.133.103.2552,046
1741.133.104.0/211.133.104.1 to 1.133.111.2541.133.111.2552,046
1751.133.112.0/211.133.112.1 to 1.133.119.2541.133.119.2552,046
1761.133.120.0/211.133.120.1 to 1.133.127.2541.133.127.2552,046
1771.133.128.0/211.133.128.1 to 1.133.135.2541.133.135.2552,046
1781.133.136.0/211.133.136.1 to 1.133.143.2541.133.143.2552,046
1791.133.144.0/211.133.144.1 to 1.133.151.2541.133.151.2552,046
1801.133.152.0/211.133.152.1 to 1.133.159.2541.133.159.2552,046
1811.133.160.0/211.133.160.1 to 1.133.167.2541.133.167.2552,046
1821.133.168.0/211.133.168.1 to 1.133.175.2541.133.175.2552,046
1831.133.176.0/211.133.176.1 to 1.133.183.2541.133.183.2552,046
1841.133.184.0/211.133.184.1 to 1.133.191.2541.133.191.2552,046
1851.133.192.0/211.133.192.1 to 1.133.199.2541.133.199.2552,046
1861.133.200.0/211.133.200.1 to 1.133.207.2541.133.207.2552,046
1871.133.208.0/211.133.208.1 to 1.133.215.2541.133.215.2552,046
1881.133.216.0/211.133.216.1 to 1.133.223.2541.133.223.2552,046
1891.133.224.0/211.133.224.1 to 1.133.231.2541.133.231.2552,046
1901.133.232.0/211.133.232.1 to 1.133.239.2541.133.239.2552,046
1911.133.240.0/211.133.240.1 to 1.133.247.2541.133.247.2552,046
1921.133.248.0/211.133.248.1 to 1.133.255.2541.133.255.2552,046
1931.134.0.0/211.134.0.1 to 1.134.7.2541.134.7.2552,046
1941.134.8.0/211.134.8.1 to 1.134.15.2541.134.15.2552,046
1951.134.16.0/211.134.16.1 to 1.134.23.2541.134.23.2552,046
1961.134.24.0/211.134.24.1 to 1.134.31.2541.134.31.2552,046
1971.134.32.0/211.134.32.1 to 1.134.39.2541.134.39.2552,046
1981.134.40.0/211.134.40.1 to 1.134.47.2541.134.47.2552,046
1991.134.48.0/211.134.48.1 to 1.134.55.2541.134.55.2552,046
2001.134.56.0/211.134.56.1 to 1.134.63.2541.134.63.2552,046
2011.134.64.0/211.134.64.1 to 1.134.71.2541.134.71.2552,046
2021.134.72.0/211.134.72.1 to 1.134.79.2541.134.79.2552,046
2031.134.80.0/211.134.80.1 to 1.134.87.2541.134.87.2552,046
2041.134.88.0/211.134.88.1 to 1.134.95.2541.134.95.2552,046
2051.134.96.0/211.134.96.1 to 1.134.103.2541.134.103.2552,046
2061.134.104.0/211.134.104.1 to 1.134.111.2541.134.111.2552,046
2071.134.112.0/211.134.112.1 to 1.134.119.2541.134.119.2552,046
2081.134.120.0/211.134.120.1 to 1.134.127.2541.134.127.2552,046
2091.134.128.0/211.134.128.1 to 1.134.135.2541.134.135.2552,046
2101.134.136.0/211.134.136.1 to 1.134.143.2541.134.143.2552,046
2111.134.144.0/211.134.144.1 to 1.134.151.2541.134.151.2552,046
2121.134.152.0/211.134.152.1 to 1.134.159.2541.134.159.2552,046
2131.134.160.0/211.134.160.1 to 1.134.167.2541.134.167.2552,046
2141.134.168.0/211.134.168.1 to 1.134.175.2541.134.175.2552,046
2151.134.176.0/211.134.176.1 to 1.134.183.2541.134.183.2552,046
2161.134.184.0/211.134.184.1 to 1.134.191.2541.134.191.2552,046
2171.134.192.0/211.134.192.1 to 1.134.199.2541.134.199.2552,046
2181.134.200.0/211.134.200.1 to 1.134.207.2541.134.207.2552,046
2191.134.208.0/211.134.208.1 to 1.134.215.2541.134.215.2552,046
2201.134.216.0/211.134.216.1 to 1.134.223.2541.134.223.2552,046
2211.134.224.0/211.134.224.1 to 1.134.231.2541.134.231.2552,046
2221.134.232.0/211.134.232.1 to 1.134.239.2541.134.239.2552,046
2231.134.240.0/211.134.240.1 to 1.134.247.2541.134.247.2552,046
2241.134.248.0/211.134.248.1 to 1.134.255.2541.134.255.2552,046
2251.135.0.0/211.135.0.1 to 1.135.7.2541.135.7.2552,046
2261.135.8.0/211.135.8.1 to 1.135.15.2541.135.15.2552,046
2271.135.16.0/211.135.16.1 to 1.135.23.2541.135.23.2552,046
2281.135.24.0/211.135.24.1 to 1.135.31.2541.135.31.2552,046
2291.135.32.0/211.135.32.1 to 1.135.39.2541.135.39.2552,046
2301.135.40.0/211.135.40.1 to 1.135.47.2541.135.47.2552,046
2311.135.48.0/211.135.48.1 to 1.135.55.2541.135.55.2552,046
2321.135.56.0/211.135.56.1 to 1.135.63.2541.135.63.2552,046
2331.135.64.0/211.135.64.1 to 1.135.71.2541.135.71.2552,046
2341.135.72.0/211.135.72.1 to 1.135.79.2541.135.79.2552,046
2351.135.80.0/211.135.80.1 to 1.135.87.2541.135.87.2552,046
2361.135.88.0/211.135.88.1 to 1.135.95.2541.135.95.2552,046
2371.135.96.0/211.135.96.1 to 1.135.103.2541.135.103.2552,046
2381.135.104.0/211.135.104.1 to 1.135.111.2541.135.111.2552,046
2391.135.112.0/211.135.112.1 to 1.135.119.2541.135.119.2552,046
2401.135.120.0/211.135.120.1 to 1.135.127.2541.135.127.2552,046
2411.135.128.0/211.135.128.1 to 1.135.135.2541.135.135.2552,046
2421.135.136.0/211.135.136.1 to 1.135.143.2541.135.143.2552,046
2431.135.144.0/211.135.144.1 to 1.135.151.2541.135.151.2552,046
2441.135.152.0/211.135.152.1 to 1.135.159.2541.135.159.2552,046
2451.135.160.0/211.135.160.1 to 1.135.167.2541.135.167.2552,046
2461.135.168.0/211.135.168.1 to 1.135.175.2541.135.175.2552,046
2471.135.176.0/211.135.176.1 to 1.135.183.2541.135.183.2552,046
2481.135.184.0/211.135.184.1 to 1.135.191.2541.135.191.2552,046
2491.135.192.0/211.135.192.1 to 1.135.199.2541.135.199.2552,046
2501.135.200.0/211.135.200.1 to 1.135.207.2541.135.207.2552,046
2511.135.208.0/211.135.208.1 to 1.135.215.2541.135.215.2552,046
2521.135.216.0/211.135.216.1 to 1.135.223.2541.135.223.2552,046
2531.135.224.0/211.135.224.1 to 1.135.231.2541.135.231.2552,046
2541.135.232.0/211.135.232.1 to 1.135.239.2541.135.239.2552,046
2551.135.240.0/211.135.240.1 to 1.135.247.2541.135.247.2552,046
2561.135.248.0/211.135.248.1 to 1.135.255.2541.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses